<template>
  <div class="feature">
    <div class="container-fluid">
      <div class="row align-items-center">
        <div class="col-md-7">
          <div v-if="fields.image" class="text-center">
            <img
              :src="fields.image.fields.file.url"
              :alt="fields.image.fields.title"
              :width="fields.image.fields.file.details.image.width"
              :height="fields.image.fields.file.details.image.height"
              class="img-fluid"
            />
          </div>
        </div>
        <div class="col-md-5">
          <h2 v-if="fields.title">{{ fields.title }}</h2>
          <b-button
            v-if="fields.ctaText"
            href="#"
            size="lg"
            variant="outline-primary"
          >
            {{ fields.ctaText }}
          </b-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    fields: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped lang="scss">
@import './assets/scss/bootstrap-variable-override';
</style>
